conduit r1217 - in trunk: . scripts



Author: jstowers
Date: Mon Jan 14 21:41:29 2008
New Revision: 1217
URL: http://svn.gnome.org/viewvc/conduit?rev=1217&view=rev

Log:
2008-01-15  John Stowers  <john stowers gmail com>

	* scripts/continuous-tester.sh: Add date stamp, don't sleep when not 
	looping and quiet output of doc scripts
	
	* scripts/make-doc.sh: Add --quiet command line argument
	
	* scripts/run-tests.sh:
	* scripts/upload-doc.sh: Quiet rsync output



Modified:
   trunk/ChangeLog
   trunk/scripts/continuous-tester.sh
   trunk/scripts/make-doc.sh
   trunk/scripts/run-tests.sh
   trunk/scripts/upload-doc.sh

Modified: trunk/scripts/continuous-tester.sh
==============================================================================
--- trunk/scripts/continuous-tester.sh	(original)
+++ trunk/scripts/continuous-tester.sh	Mon Jan 14 21:41:29 2008
@@ -20,6 +20,7 @@
 FORCE=no
 DOCS=yes
 CNT=-1
+LOOP=no
 #Check the arguments.
 for option in "$@"; do
   case "$option" in
@@ -31,7 +32,8 @@
     -d | --disable-docs)
       DOCS=no ;;
     -l | --loop)
-      CNT=1 ;;
+      CNT=1
+      LOOP=yes ;;
     -*)
       echo "Unrecognized option: $option\n\n$USAGE"
       exit 1 ;;
@@ -67,16 +69,22 @@
 
         #Build API docs
         if [ $DOCS = "yes" ]; then
-            ./scripts/make-doc.sh &>/dev/null
-            ./scripts/upload-doc.sh &>/dev/null
+            echo "`date` Building API Docs" | tee -a $LOGFILE
+            ./scripts/make-doc.sh --quiet
+            ./scripts/upload-doc.sh
         fi
     fi
     
-    echo "`date` Sleeping" | tee -a $LOGFILE
-    sleep $SLEEP_TIME
+    #Dont sleep if not run in loop
+    if [ $LOOP = "yes" ]; then
+        echo "`date` Sleeping" | tee -a $LOGFILE
+        sleep $SLEEP_TIME
+    fi
+
     CNT=`expr $CNT + 1`
 done
 
+echo "`date` Finished" | tee -a $LOGFILE
 cd - &>/dev/null
 
 

Modified: trunk/scripts/make-doc.sh
==============================================================================
--- trunk/scripts/make-doc.sh	(original)
+++ trunk/scripts/make-doc.sh	Mon Jan 14 21:41:29 2008
@@ -1,18 +1,42 @@
 #!/bin/bash
-
 APP="conduit/conduit"
+ME=`basename $0`
+USAGE="\
+Usage:\n\
+$ME [OPTIONS]\n\
+Builds conduit docs using epydoc\n\n\
+Options:\n\
+\t-h, --help\t\tThis message\n\
+\t-q, --quiet\t\tNo console output"
+
 if [ ! -f $APP ] ; then
     echo "ERROR: Must be run from top directory"
+    echo -e $USAGE
     exit 1
 fi
 
+VERBOSITY='--verbose'
+#Check the arguments.
+for option in "$@"; do
+  case "$option" in
+    -h | --help)
+      echo -e $USAGE
+      exit 0 ;;
+    -q | --quiet)
+      VERBOSITY='-qqq' ;;
+    -*)
+      echo "Unrecognized option: $option\n\n$USAGE"
+      exit 1 ;;
+  esac
+done
+
 epydoc  -o doc --name conduit --css white \
         --url http://www.conduit-project.org \
         --inheritance listed \
         --no-frames \
         --parse-only \
         --graph all \
-        --verbose \
+        $VERBOSITY \
         conduit \
         conduit/dataproviders \
         conduit/datatypes \

Modified: trunk/scripts/run-tests.sh
==============================================================================
--- trunk/scripts/run-tests.sh	(original)
+++ trunk/scripts/run-tests.sh	Mon Jan 14 21:41:29 2008
@@ -220,6 +220,6 @@
 #upload results
 if [ $do_upload -ne 0 ] ; then
     echo "UPLOADING"
-    rsync -tzr $LOGDIR/ root greenbirdsystems com:/var/www/conduit-project.org/tests
+    rsync -qtzr $LOGDIR/ root greenbirdsystems com:/var/www/conduit-project.org/tests
 fi
 

Modified: trunk/scripts/upload-doc.sh
==============================================================================
--- trunk/scripts/upload-doc.sh	(original)
+++ trunk/scripts/upload-doc.sh	Mon Jan 14 21:41:29 2008
@@ -6,4 +6,4 @@
     exit 1
 fi
 
-rsync -Ptz doc/*.{html,gif,png,py,js,css} root greenbirdsystems com:/var/www/conduit-project.org/doc/conduit
+rsync -qtz doc/*.{html,gif,png,py,js,css} root greenbirdsystems com:/var/www/conduit-project.org/doc/conduit



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]